from PyQt4 import QtGui, QtCore

words = [
    {'name' : 'day',
     'opposite' : 'night'
     },
    {'name' : 'sunny',
     'opposite' : 'rainy'
     }
    ]

class MyModel(QtCore.QAbstractItemModel):
    def __init__(self, parent = None):
        QtCore.QAbstractItemModel.__init__(self, parent)

    def index(self, row, column, parent = None):
        return QtCore.QAbstractItemModel.createIndex(self, row, column)

    def parent(self, index):
        return QtCore.QModelIndex()

    def rowCount(self, parent):
        return len(words)

    def columnCount(self, parent):
        return 2

    def data(self, index, role):
        if index.isValid() == 0:
            return QtCore.QVariant();

        if index.column() > 2:
            return QtCore.QVariant();

        if index.row() > len(words):
            return QtCore.QVariant();

        if role == QtCore.Qt.DisplayRole:
            if index.column() == 0:
                return QtCore.QVariant(words[index.row()]['name'])
            else:
                return QtCore.QVariant(words[index.row()]['opposite'])
        else:
            return QtCore.QVariant()
